package com.fastbee.common.utils.json;

import cn.hutool.json.JSONException;
import cn.hutool.json.JSONUtil;
import org.apache.commons.lang3.StringUtils;

public class JsonStrUtil {

    /**
     * 判断一个字符串是不是json数组
     */
    public static boolean isJsonArray(String jsonStr) {
        try {
            JSONUtil.parseArray(jsonStr);
        } catch (JSONException e) {
            return false;
        }
        return true;
    }
    /**
     *判断一个json数组为空
     */
    public static boolean isEmptyArray(String jsonArrayStr) {
        if(StringUtils.isBlank(jsonArrayStr)){
            return true;
        }
        if(JSONUtil.parseArray(jsonArrayStr).isEmpty()){
            return true;
        }
        return false;
    }

    /**
     *判断一个json数组|非空
     */
    public static boolean nonEmptyArray(String jsonArrayStr) {
        if(StringUtils.isBlank(jsonArrayStr)){
            return false;
        }
        if(JSONUtil.parseArray(jsonArrayStr).isEmpty()){
            return false;
        }
        return true;
    }

    /**
     * 验证字符串是否是json格式
     */
    public static boolean isValidJson(String jsonStr) {
        try {
            JSONUtil.parseObj(jsonStr);
        } catch (JSONException e) {
            return false;
        }
        return true;
    }

}
